/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sys.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.sys.entity.Suggestion;
import com.jeeplus.modules.sys.dao.SuggestionDao;

/**
 * 意见反馈Service
 * @author 朱明月
 * @version 2017-04-21
 */
@Service
@Transactional(readOnly = true)
public class SuggestionService extends CrudService<SuggestionDao, Suggestion> {

	public Suggestion get(String id) {
		return super.get(id);
	}
	
	public List<Suggestion> findList(Suggestion suggestion) {
		return super.findList(suggestion);
	}
	
	public Page<Suggestion> findPage(Page<Suggestion> page, Suggestion suggestion) {
		return super.findPage(page, suggestion);
	}
	
	@Transactional(readOnly = false)
	public void save(Suggestion suggestion) {
		super.save(suggestion);
	}
	
	@Transactional(readOnly = false)
	public void delete(Suggestion suggestion) {
		super.delete(suggestion);
	}
	
	
	
	
}